package com.alpha.lagouapk.bean.aiinterview

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

/**
 * Time：2024/7/31 14:22:41
 * Author：wangjunwei
 * Description：获取Ai 相关的配置信息
 *
 */
@Parcelize
data class AiChatInfoRes(
    val enable: Boolean = true,
    val limitTimes: Int = 20, //每人每天可发起Ai面试的职位个数
    val reason: String = "", // 原因
    val residueDuration: Int = 10, // 剩余多长时间开始倒计时单位s
    val totalDuration: Int = 60, // 单个语音的最大时长
    val asrTriggerInterval: Int = 4 // 没有说话超过s，则自动发送语音
): Parcelable