package com.alpha.lagouapk.bean.aiinterview

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

/**
 * Time：2024/7/18 17:00:57
 * Author：wangjunwei
 * Description：AI 面试浮动入口配置数据（是否显示、跳转依赖数据）
 *
 */
@Parcelize
data class AiInterviewFloatEntryRes(
    val additionalEntryText: String?,
    val btnText: String?,
    val btnTips: String?,
    val prologue:String?,
    val aiShow: Boolean,
    val sessionId: Int,
    val sessionState: Int,
    var positionId: Int
): Parcelable{

    /**
     * 是否未创建会话
     */
    fun isNotCreateSession(): Boolean{
        return IAiInterviewSessionState.NOT_CREATE == sessionState
    }

    /**
     * 是否是是初始化状态-面试还没有开始
     *
     * @return
     */
    fun isInitState(): Boolean {
        return IAiInterviewSessionState.NORMAL == sessionState
    }

    /**
     * 是否是开始面试状态
     *
     * @return
     */
    fun isStartState(): Boolean {
        return IAiInterviewSessionState.START_INTERVIEW == sessionState
    }

    /**
     * 会话是否是结束状态
     *
     * @return
     */
    fun isFinishState(): Boolean {
        return IAiInterviewSessionState.END_INTERVIEW == sessionState
    }
}



