package com.alpha.lagouapk.bean.config

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.android.parcel.Parcelize

/**
 * 首页第四个tab活动配置
 */
@Parcelize
data class HomeActivityConfig(
    val activityImg: String?,//第四个tab的图标
    val activityImgClick: String?,//第四个tab选中的图标
    val activities: List<HomeItemActivityConfig>?
) : Parcelable

/**
 * 单个活动配置项
 */
@Parcelize
data class HomeItemActivityConfig(
    val activityName: String?,//活动名称
    val activityCode: String?,//活动编码
    val activityDesc: String?,//活动描述
    val activityLogoImg: String?,//活动图标
    val activityStartColor:String?,//活动渐变 起始颜色
    val activityEndColor:String?,//活动渐变 终止颜色
    @SerializedName("activityBackgroundImg")
    val bannerImg:String?,//活动banner图，在接口positionindex/activity/config1中返回
    val selectConfigList:List<FilterData>?,//筛选项，在接口positionindex/activity/config1中返回
    @SerializedName("selectColor")
    val themeColor: String? = null

) : Parcelable
