package com.alpha.lagouapk.bean.resume

import android.os.Parcelable
import com.alpha.lagouapk.ui.login.perfect.EditInfoCode
import kotlinx.android.parcel.Parcelize

/**
 * Time：2025/4/7 15:09:02
 * Author：wangjunwei
 * Description：
 * Ai润色实体请求
 */
@Parcelize
data class AiImproveContent(
    var originalContent: String?, // 原始内容
    var result: String? // 润色后内容
): Parcelable

/**
 * 润色类型 1-个人优势 2-工作经历 3-项目成就 4-项目描述
 */
interface AiImproveType {
    val typeValue: Int
    val typeDescription: String

    companion object {
        const val PERSONAL_ADVANTAGE = 1
        const val WORK_EXPERIENCE = 2
        const val PROJECT_ACHIEVEMENT = 3
        const val PROJECT_DESCRIPTION = 4

        //@JvmStatic
        fun getDescriptionByType(type: Int): String {
            return when (type) {
                PERSONAL_ADVANTAGE -> "个人优势"
                WORK_EXPERIENCE -> "工作经历"
                PROJECT_ACHIEVEMENT -> "项目成就"
                PROJECT_DESCRIPTION -> "项目描述"
                else -> "未知类型"
            }
        }

        /**
         * 转化为请求类型
         */
        fun getRequestType(localType: Int): Int {
            return when(localType){
                EditInfoCode.TYPE_SELFIND -> PERSONAL_ADVANTAGE
                EditInfoCode.TYPE_JOB_CONTENT, EditInfoCode.TYPE_JOB_CONTENT_NO_RESUME, EditInfoCode.TYPE_JOB_CONTENT_FROM_ATTACH -> WORK_EXPERIENCE
                EditInfoCode.TYPE_PROJECT_SCORE -> PROJECT_ACHIEVEMENT
                EditInfoCode.TYPE_PROJECT_DESC, EditInfoCode.TYPE_PROJECT_DESC_FROM_ATTACH -> PROJECT_DESCRIPTION
                else -> localType
            }
        }
    }
}
