package com.alpha.lagouapk.manager

import com.alpha.lagouapk.bean.aiinterview.AiChatInfoRes
import com.lagou.baselib.util.mmkv.MKVUtils

/**
 * Time：2024/7/31 16:07:39
 * Author：wangjunwei
 * Description：Ai 面试管理类
 *
 */
class AiManager {

    companion object {
        const val KEY_AI_CHAT_CONFIG = "ai_chat_config"

        /**
         * AI 面试配置信息相关：保存和获取
         */
        fun saveAiChatConfigInfo(aiChatInfoRes: AiChatInfoRes?) {
            if (aiChatInfoRes == null) {
                return
            }
            MKVUtils.getInstance().encodeParcelable(KEY_AI_CHAT_CONFIG, aiChatInfoRes)
        }

        fun getAiChatConfigInfo(): AiChatInfoRes {
            var aiChatInfoRes = MKVUtils.getInstance()
                .decodeParcelable(KEY_AI_CHAT_CONFIG, AiChatInfoRes::class.java)
            if (aiChatInfoRes == null) {
                aiChatInfoRes = AiChatInfoRes()
            }
            return aiChatInfoRes
        }

    }
}