package com.alpha.lagouapk.manager

import com.alpha.lagouapk.bean.PositionDetailBean
import com.lagou.commonlibs.cache.MemoryCacheManager

/**
 * Time：2024/7/19 14:39:12
 * Author：wangjunwei
 * Description：业务数据内存缓存管理类 - 现有使用缓存职位数据，用于优化在Ai面试新进入或者页面滑动多职位的效果
 *
 */
class CBusinessMemoryCacheManager {
    companion object {
        const val KEY_POSITION_DETAIL = "c_position_detail"

        /**
         * 缓存职位详情减少请求次数，仅针对于卡片形式显示少量的职位信息
         */
        @JvmStatic
        fun cachePositionDetail(positionId: Int, positionDetail: PositionDetailBean) {
            MemoryCacheManager.add(KEY_POSITION_DETAIL + positionId, positionDetail)
        }
        @JvmStatic
        fun getPositionDetail(positionId: Int): PositionDetailBean? {
            return MemoryCacheManager.get(KEY_POSITION_DETAIL + positionId) as? PositionDetailBean
        }
    }
}