package com.alpha.lagouapk.manager

import com.alpha.lagouapk.UserRoleManager
import com.alpha.lagouapk.bean.aiinterview.AiTimbreSelectRes
import com.lagou.baselib.util.mmkv.MKVUtils

/**
 * Time：2024/8/12 10:13:29
 * Author：wangjunwei
 * Description：C 端使用MMKV的工具类
 *
 */
class CMKVUtils {
    companion object {
        /**
         * 选中的音色，本地存储
         */
        private const val KEY_SELECT_TIMBRE = "select_timbre"

        /**
         * 是否开启自动转换语音服务
         */
        private const val KEY_VOICE_CONVERT = "key_voice_convert"

        /**
         * 音色选择本地存储
         */
        fun setSelectTimbre(bean: AiTimbreSelectRes.VoiceTimbreType.VoiceTimbre?) {
            if (bean == null) {
                return
            }
            MKVUtils.getInstance().encodeParcelable(KEY_SELECT_TIMBRE + getUserId(), bean)
        }

        fun getSelectTimbre(): AiTimbreSelectRes.VoiceTimbreType.VoiceTimbre? {
            return MKVUtils.getInstance().decodeParcelable(
                KEY_SELECT_TIMBRE + getUserId(),
                AiTimbreSelectRes.VoiceTimbreType.VoiceTimbre::class.java
            )
        }


        /**
         * 是否开启自动转换语音
         */
        fun isAutoConvertVoice(): Boolean {
            return MKVUtils.getInstance().decodeBoolean(
                KEY_VOICE_CONVERT
                        + getUserId(), true
            )
        }
        fun setAutoConvertVoice(isAutoConvert: Boolean) {
            MKVUtils.getInstance().encodeBoolean(
                KEY_VOICE_CONVERT
                        + getUserId(), isAutoConvert
            )
        }

        private fun getUserId(): Long = UserRoleManager.getInstance().userId
    }
}