package com.alpha.lagouapk.manager.net

import com.ApiService
import com.alpha.lagouapk.bean.resume.AiImproveConfig
import com.alpha.lagouapk.manager.CUserManager
import com.lagou.baselib.net.httpnetback.BaseCallback
import com.lagou.socketchannel.http.HttpRequest
import com.lagou.socketchannel.http.HttpResponse
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch

/**
 * Time：2025/4/7 14:19:11
 * Author：wangjunwei
 * Description：C 端配置信息整合
 *
 */
class CRequestConfigManager {

    companion object {

        @JvmStatic
        fun getAiImproveConfig(){
            ApiService.api.aiImproveConfig.enqueue(object : BaseCallback<AiImproveConfig>(false) {
                override fun onSuccess(
                    request: HttpRequest<*>,
                    response: HttpResponse<AiImproveConfig?>
                ) {
                    val coroutineScope = CoroutineScope(Dispatchers.IO)
                    coroutineScope.launch {
                        CUserManager.getInstance().saveAiImproveConfig(response.content)
                    }
                }

                override fun onFailure(
                    request: HttpRequest<*>?,
                    response: HttpResponse<AiImproveConfig>?
                ) {
                    super.onFailure(request, response)
                }
            })
        }
    }
}