package com.alpha.lagouapk.ui.chat.session

import android.content.Context
import android.view.View
import android.widget.ImageView
import android.widget.TextView
import butterknife.BindView
import com.alpha.lagouapk.R
import com.bumptech.glide.Glide
import com.bumptech.glide.request.RequestOptions
import com.common.chat.SessionListShownUtils
import com.lagou.chat.chatlibrary.bean.ConversationBean
import com.lagou.chat.chatlibrary.view.EmojiconTextView
import com.lagou.commonlibs.utils.DateUtils


/**
 * AI面试
 */
class AiInterviewSessionView(context:Context):BaseSessionView(context) {
    @BindView(R.id.conversation_logo_ai)
    lateinit var mIvAvatar: ImageView
    @BindView(R.id.unread_count_iv)
    lateinit var mIvRedDot:ImageView
    @BindView(R.id.tv_title_first)
    lateinit var mTvTitleFirst:TextView
    @BindView(R.id.message_list_item_time)
    lateinit var mTvMsgTime:TextView
    @BindView(R.id.tv_last_msg_content)
    lateinit var mTvLastMsg:EmojiconTextView
    @BindView(R.id.view_bottom_divider)
    lateinit var mBottomDivider: View
    @BindView(R.id.tv_title_second)
    lateinit var mTvTitleSecond:TextView
    override fun getContentLayoutId(): Int = R.layout.item_session_ai_interview

    override fun bindData(bean: ConversationBean?, isLast: Boolean) {
        if (bean == null) {
            visibility = View.GONE
            return
        }
        visibility = View.VISIBLE
        setTvAutoShowByText(mTvTitleFirst, bean.titleFirst)
        setTvAutoShowByText(mTvTitleSecond, bean.titleCenter)
        setUnReadRedDot(mIvRedDot, bean.unReadCount)
        Glide.with(this)
            .load(bean.icon)
            .placeholder(R.drawable.ai_im_profilepicture_90)
            .error(R.drawable.ai_im_profilepicture_90)
            .apply(RequestOptions.circleCropTransform())
            .into(mIvAvatar)
        SessionListShownUtils.setLastMessage(bean, mTvLastMsg)
        mTvTopAction.text = mContext.resources.getString(if (bean.isTop) R.string.message_list_unpin else R.string.message_list_pin)
        setTvAutoShowByText(mTvMsgTime, DateUtils.getMessageTimeV2(bean.time))
        contentViewContainer.setBackgroundResource(if (bean.isTop) R.color.color_f7fdfc else R.drawable.item_list_click_bg)
        mBottomDivider.visibility = if (isLast) GONE else VISIBLE
    }

    override fun isShowDeleteAction(): Boolean = false
}