package com.alpha.lagouapk.ui.dialog.ai

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel

/**
 * Time：2025/3/31 15:36:32
 * Author：wangjunwei
 * Description：
 * AI 润色内容viewmodel
 */
class AiImproveViewModel : ViewModel() {
    /**
     * 原先内容
     */
    private val _originalLiveData = MutableLiveData<String>()
    val originalLiveData = _originalLiveData


    /**
     * Ai 润色内容追加到原先内容的下面
     */
    private val _appendImproveLiveData = MutableLiveData<String>()
    val appendImproveLiveData =_appendImproveLiveData

    /**
     * Ai 润色内容直接替换原先内容
     */
    private val _replaceImproveLiveData = MutableLiveData<String>()
    val replaceImproveLiveData = _replaceImproveLiveData

    /**
     * 原先内容：便于事实获取润色前的内容
     */
    fun originalContent(originalContent: String){
        originalLiveData.value = originalContent
    }

    /**
     * 润色内容-追加到原先内容的下面
     */
    fun appendImproveContent(improveContent: String){
        _appendImproveLiveData.value = improveContent
    }

    /**
     * 润色内容-替换原先内容
     */
    fun replaceImproveContent(improveContent: String){
        _replaceImproveLiveData.value = improveContent
    }

}
