package com.alpha.lagouapk.ui.home.v2

import android.content.Context
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.PositionAnalyticShowParams
import com.alpha.lagouapk.bean.PositionClickParams
import com.alpha.lagouapk.bean.PositionInfo
import com.alpha.lagouapk.ui.home.promotion.HomeActivityPositionVH
import com.alpha.lagouapk.ui.home.v2.HomePositionAdapter.AD_POSITION
import com.alpha.lagouapk.ui.home.v2.HomePositionAdapter.POSITION
import com.alpha.lagouapk.ui.home.v2.HomePositionAdapter.POSITION_ACTIVITY
import com.alpha.lagouapk.ui.home.v2.manager.analytic.HomePositionAnalyticManager
import com.alpha.lagouapk.ui.home.v2.manager.business.HomePositionManager
import com.common.adapter.viewholder.BaseVHAdapter

class HomeOverseaAdapter(val context: Context, mPositionData:MutableList<PositionInfo>?,
                         val mExpectJobId:Int, val mSource:Int,var mActivityCode:String?): BaseVHAdapter<PositionInfo>(context){
    init {
        this.mBeans = mPositionData
    }

    fun setActivityCode(activityCode:String?){
        this.mActivityCode = activityCode
    }

    override fun onBindViewHolder(holder: RecyclerView.ViewHolder, position: Int) {
        when(holder.itemView){
            is HomePositionView -> {
                val positionInfo = getItem(position) as? PositionInfo ?: return
                (holder.itemView as HomePositionView).setData(positionInfo)
                holder.itemView.setOnClickListener{
                    HomePositionManager.onClickHomePositionView(mContext,PositionClickParams(positionInfo.sourceFrom,positionInfo,mBeans,positionInfo.pd_positionId,mExpectJobId, mActivityCode))
                }
                HomePositionAnalyticManager.getInstance().setPositionShowAnalytic(PositionAnalyticShowParams(positionInfo.sourceFrom,positionInfo,position,mActivityCode))
            }
        }

    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): RecyclerView.ViewHolder {
        var viewHolder:RecyclerView.ViewHolder = super.onCreateViewHolder(parent, viewType)
        when(viewType){
            POSITION,POSITION_ACTIVITY,AD_POSITION -> {
                viewHolder = HomeActivityPositionVH(HomePositionView(context));
            }
        }

        return viewHolder
    }

    override fun getItemViewType(position: Int): Int {
        val item = getItem(position)
        return if (item is PositionInfo) { item.pd_type } else { R.layout.list_footer_view }
    }
}