package com.alpha.lagouapk.ui.home.v2.filter

import android.content.Context
import android.util.AttributeSet
import android.widget.FrameLayout
import com.alpha.lagouapk.bean.SelectOption
import com.alpha.lagouapk.bean.config.FilterData

abstract class FilterLevelView(
    context: Context, attrs: AttributeSet? = null,
    defStyleAttr: Int = 0
) : FrameLayout(context, attrs, defStyleAttr) {
    protected var mOnCloseClickListener: (() -> Unit)? = null//点击关闭
    protected var mOnConfirmClickListener:((SelectOptionWrap?) -> Unit)? = null//点击确认
    /**
     * 关闭点击事件
     */
    fun setOnCloseListener(onCloseListener: (() -> Unit)?){
        this.mOnCloseClickListener = onCloseListener
    }

    /**
     * 确认点击事件
     * @param onConfirmListener
     */
    fun setOnConfirmListener(onConfirmListener: ((SelectOptionWrap?) -> Unit)?){
        this.mOnConfirmClickListener = onConfirmListener
    }

    /**
     * 设置筛选器数据
     * @param filterData 筛选器默认数据
     * @param selectOptionData 筛选器选中数据
     */
    abstract fun setFilterData(filterData: FilterData?, selectOption: SelectOptionWrap?)
}