package com.alpha.lagouapk.ui.home.v2.filter

import android.annotation.SuppressLint
import android.content.Context
import android.util.AttributeSet
import android.widget.Button
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.SelectOption
import com.alpha.lagouapk.bean.config.FilterData
import com.alpha.lagouapk.ui.home.v2.filter.inter.SelectType
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.commonlibs.view.LTitleBarLayout

/**
 * 平铺数据的筛选器
 */
class FlatFilterView @JvmOverloads constructor(
    context: Context, attrs: AttributeSet? = null,
    defStyleAttr: Int = 0
) : FilterLevelView(context, attrs, defStyleAttr) {
    private lateinit var mTitleBar:LTitleBarLayout
    private lateinit var mBtnReset: Button
    private lateinit var mBtnConfirm: Button
    private lateinit var mModuleFilterView:ModuleFilterView
    private var mOptionKey:String? = null
    init {
        inflate(context, R.layout.filter_level_single,this)
        this.initView()
        this.initListener()
    }

    private fun initView() {
        mTitleBar = findViewById(R.id.title_bar_filter)
        mBtnReset = findViewById(R.id.filter_clear)
        mBtnConfirm = findViewById(R.id.filter_confirm)
        mModuleFilterView = findViewById(R.id.module_filter_view)
    }

    /**
     * 展示选中的数量
     */
    private fun showSelectNum(selectNum:Int) {
        mBtnConfirm.text = if (selectNum == 0) ResourceUtils.getString(R.string.ok) else "${ResourceUtils.getString(R.string.ok)} $selectNum"
    }

    @SuppressLint("NotifyDataSetChanged")
    private fun initListener() {
        mTitleBar.setLeftImgListener {
            mOnCloseClickListener?.invoke()
        }
        mBtnReset.setOnClickListener {
            mModuleFilterView.resetSelect()
            showSelectNum(0)
        }
        mBtnConfirm.setOnClickListener {
            var selectOptionWrap:SelectOptionWrap? = null
            if (mModuleFilterView.getSelectOption().isNotEmpty()){
                selectOptionWrap = SelectOptionWrap.Single(SelectOption(mOptionKey,mModuleFilterView.getSelectOption()))
            }
            mOnConfirmClickListener?.invoke(selectOptionWrap)
        }

    }

    /**
     * 设置筛选器数据
     */
    override fun setFilterData(filterData: FilterData?, selectOptionWrap:SelectOptionWrap?){
        this.mOptionKey = filterData?.selectKey
        mModuleFilterView.setFilterOptionData(mOptionKey,filterData?.selectTitle,filterData?.selectType,filterData?.selectValuesConfigs,(selectOptionWrap as? SelectOptionWrap.Single)?.option?.selectOptions){
            showSelectNum(if(filterData?.selectType == SelectType.MULTI_CHOICE.type) it else 0)
        }
        mModuleFilterView.setInitSelectNum()
    }
}