package com.alpha.lagouapk.ui.home.v2.filter

import android.content.Context
import android.util.AttributeSet
import android.view.View
import android.widget.FrameLayout
import android.widget.ImageView
import android.widget.TextView
import androidx.annotation.ColorInt
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.config.HomeItemActivityConfig
import com.lagou.commonlibs.imageload.ImageLoadUtils
import com.lagou.commonlibs.utils.DeviceUtils
import com.lagou.commonlibs.utils.ResourceUtils

/**
 * 出海活动入口view
 */
class OverseaActivityView @JvmOverloads constructor(
    context: Context,
    attrs: AttributeSet? = null,
    defStyleAttr: Int = 0
) : FrameLayout(context, attrs, defStyleAttr) {
    private lateinit var  ivLogo: ImageView
    private lateinit var  tvName: TextView
    private lateinit var  tvDesc: TextView
    private lateinit var  rlRoot: View
    init {
        inflate(context, R.layout.layout_oversea_activity,this)
        initView()
    }

    private fun initView() {
        ivLogo = findViewById(R.id.iv_oversea_activity_logo)
        tvName = findViewById(R.id.tv_oversea_activity_name)
        tvDesc = findViewById(R.id.tv_oversea_activity_desc)
        rlRoot = findViewById(R.id.rl_oversea_activity_root)
    }

    /**
     * @param
     */
    fun setData(configBean:HomeItemActivityConfig){
        tvName.text = configBean.activityName
        tvDesc.text = configBean.activityDesc
        ImageLoadUtils.with(context).load(configBean.activityLogoImg).into(ivLogo)
    }

    fun setSelectColor(@ColorInt activityThemeColor: Int) {
        tvName.setTextColor(activityThemeColor)
        tvDesc.setTextColor(activityThemeColor)
    }

    fun setNormalColor() {
        tvName.setTextColor(ResourceUtils.getColor(R.color.color_333))
        tvDesc.setTextColor(ResourceUtils.getColor(R.color.color_999))
    }
}