package com.alpha.lagouapk.ui.home.v2.filter

import android.graphics.Canvas
import android.graphics.Paint
import android.graphics.Rect
import android.view.View
import androidx.recyclerview.widget.RecyclerView
import com.alpha.lagouapk.R
import com.lagou.commonlibs.utils.ResourceUtils

/**
 * 搜索分割条
 */
class SuggestItemDecoration: RecyclerView.ItemDecoration(){
    private val offsetTop = ResourceUtils.getDimenSize(R.dimen.dp_05)
    private val offsetLR = ResourceUtils.getDimenSize(R.dimen.dp_15)
    private var mPaint: Paint = Paint(Paint.ANTI_ALIAS_FLAG)
    init {
        mPaint.color = ResourceUtils.getColor(R.color.color_e8e9eb)
        mPaint.style = Paint.Style.FILL
        mPaint.strokeWidth = offsetTop.toFloat()
    }

    override fun getItemOffsets(
        outRect: Rect,
        view: View,
        parent: RecyclerView,
        state: RecyclerView.State
    ) {
        super.getItemOffsets(outRect, view, parent, state)
        outRect.left = offsetLR
        outRect.right = offsetLR
        if (parent.getChildAdapterPosition(view) != 0){
            outRect.top = offsetTop
        }
    }

    override fun onDraw(c: Canvas, parent: RecyclerView, state: RecyclerView.State) {
        super.onDraw(c, parent, state)
        val childCount = parent.childCount
        for (i in 0 until childCount){
            val childView = parent.getChildAt(i)
            val index = parent.getChildAdapterPosition(childView)
            if(index == 0){
                continue
            }
            val dividerTop = childView.top - offsetTop
            val dividerLeft = offsetLR + parent.paddingLeft
            val dividerRight = parent.width - parent.paddingRight - offsetLR
            val dividerBottom = childView.top
            c.drawRect(dividerLeft.toFloat(),dividerTop.toFloat(),dividerRight.toFloat(),dividerBottom.toFloat(),mPaint)
        }
    }
}