package com.alpha.lagouapk.ui.home.v2.filter.adapter

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.config.FilterOptionData
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.commonlibs.utils.StringUtil

/**
 * 筛选搜索 提示
 */
class SuggestAdapter(val context: Context,val onItemClickListener:(FilterOptionData)->Unit): RecyclerView.Adapter<SuggestAdapter.SuggestViewHolder>() {
    private var mSuggestData:List<FilterOptionData>? = null
    private var mKey:String? = null
    fun setSuggest(key:String?,data:List<FilterOptionData>?){
        this.mSuggestData = data
        this.mKey = key
        notifyDataSetChanged()
    }

    class SuggestViewHolder(itemView: View):RecyclerView.ViewHolder(itemView)

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): SuggestViewHolder {
        val holder = SuggestViewHolder(LayoutInflater.from(context).inflate(R.layout.item_suggest_common,parent,false))
        holder.itemView.setOnClickListener {
            mSuggestData?.get(holder.adapterPosition)?.let { it1 -> onItemClickListener.invoke(it1) }
        }
        return holder
    }

    override fun getItemCount(): Int = mSuggestData?.size ?: 0

    override fun onBindViewHolder(holder: SuggestViewHolder, position: Int) {
        val tvSuggest = holder.itemView as TextView
        val option = mSuggestData?.get(position) ?: return
        tvSuggest.text = "${option.selectTitle}(${option.parentTitle})"
        StringUtil.highlightKeyWord(tvSuggest, ResourceUtils.getColor(R.color.color_00b38a), mKey)
    }
}