package com.alpha.lagouapk.ui.home.v2.filter.holder

import android.view.View
import android.widget.ImageView
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.config.FilterOptionData
import com.lagou.commonlibs.imageload.ImageLoadUtils

class ButtonFilterOptionViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
    val tvOption: TextView = itemView.findViewById(R.id.tv_option_content)
    val ivOptionIcon: ImageView = itemView.findViewById(R.id.iv_option_icon)

    fun bindButton(filterOptionDataList:List<FilterOptionData>?,position: Int,isSelect:Boolean){
        val optionData = filterOptionDataList?.get(position)
        tvOption.text = optionData?.selectTitle
        if (optionData?.selectValueFlag.isNullOrEmpty()){
            ivOptionIcon.visibility = View.GONE
        }else{
            ivOptionIcon.visibility = View.VISIBLE
            ImageLoadUtils.with(itemView.context).load(optionData!!.selectValueFlag).into(ivOptionIcon)
        }
        tvOption.isSelected = isSelect
        ivOptionIcon.alpha = if (tvOption.isSelected) 1f else 0.3f
    }
}