package com.alpha.lagouapk.ui.home.v2.filter.holder

import android.annotation.SuppressLint
import android.view.View
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.config.FilterOptionData
import com.alpha.lagouapk.ui.home.v2.filter.adapter.ModuleFilterAdapter.Companion.SALARY_MAX
import com.alpha.lagouapk.ui.home.v2.filter.adapter.ModuleFilterAdapter.Companion.SALARY_MIN
import com.lagou.commonlibs.utils.ResourceUtils
import com.lagou.commonlibs.view.RangeSeekBar

class SeekBarFilterOptionViewHolder(itemView: View): RecyclerView.ViewHolder(itemView) {
    private val tvSalary: TextView = itemView.findViewById(R.id.home_filter_position_salary_data)
    val seekBarSalary: RangeSeekBar<Int> = itemView.findViewById(R.id.home_filter_position_salary_seekbar)
    init {
        seekBarSalary.isNotifyWhileDragging = true
    }
    @SuppressLint("SetTextI18n")
    fun bindSeekBar(filterOptionDataList:List<FilterOptionData>?, position: Int) {
        seekBarSalary.resetSelectedValues()
        val optionData: FilterOptionData? = filterOptionDataList?.get(position)
        val minValue = optionData?.slipMin ?: SALARY_MIN
        val maxValue = optionData?.slipMax ?: SALARY_MAX
        val unit = optionData?.slipUnit ?: ""
        seekBarSalary.setRangeValues(minValue,maxValue)
        seekBarSalary.selectedMinValue = optionData?.selectValueMin ?: minValue
        seekBarSalary.selectedMaxValue = optionData?.selectValueMax ?: maxValue
        setSeekBarTopText(seekBarSalary.selectedMinValue,seekBarSalary.selectedMaxValue,minValue,maxValue,unit)
    }

    fun setSeekBarTopText(selectMinValue:Int,selectMaxValue:Int,minValue:Int,maxValue:Int,unit:String? = "") {
        if (selectMinValue == minValue && selectMaxValue == maxValue){
            tvSalary.text = ResourceUtils.getString(R.string.no_limit)
        }else{
            tvSalary.text = "${selectMinValue}$unit - ${selectMaxValue}$unit"
        }
    }
}