package com.alpha.lagouapk.ui.home.v2.filter.inter

import com.alpha.lagouapk.bean.SelectOption
import com.alpha.lagouapk.bean.config.FilterData

/**
 * 筛选器的回调
 */
interface IFilter {
    /**
     * 关闭点击事件
     */
    fun setOnCloseListener(onCloseListener: (() -> Unit)?)

    /**
     * 确认点击事件
     * @param onConfirmListener
     */
    fun <T> setOnConfirmListener(onConfirmListener: ((T) -> Unit)?)

    /**
     * 设置筛选器数据
     * @param filterData 筛选器默认数据
     * @param selectOptionData 筛选器选中数据
     */
    fun setFilterData(filterData: FilterData?, selectOptionData: List<SelectOption>?)
}