package com.alpha.lagouapk.ui.login.bean

import androidx.annotation.StringDef
import java.lang.annotation.Retention
import java.lang.annotation.RetentionPolicy

/**
 * Time：2024/11/12 14:27:49
 * Author：wangjunwei
 * Description：
 * 勾号类型(isPlusOpen=false时此字段值才有效)：
 * NORMAL -> 基础勾号
 * TRIAL->体验
 * GOLD ->黄金勾号
 * PLATINUM ->白金勾号
 * DIAMOND ->砖石勾号
 */

@Retention(RetentionPolicy.SOURCE)
@StringDef(
    PremiumMemberType.NORMAL,
    PremiumMemberType.TRIAL,
    PremiumMemberType.GOLD,
    PremiumMemberType.PLATINUM,
    PremiumMemberType.DIAMOND
)
annotation class PremiumMemberType {
    companion object {
        const val NORMAL = "NORMAL" //基础勾号
        const val TRIAL = "TRIAL" //体验勾号
        const val GOLD = "GOLD" //黄金勾号
        const val PLATINUM = "PLATINUM" //白金勾号
        const val DIAMOND = "DIAMOND" // 钻石勾号
    }
}