package com.lagou.lagouee.ui.adapter.search

import android.text.TextUtils
import android.view.View
import android.widget.TextView
import com.common.adapter.BaseViewHolder
import com.common.adapter.listener.OnItemClick
import com.lagou.lagouee.bean.search.DefaultSearchFilterOptionData
import com.lagou.lagouee.ui.adapter.BaseFilterMoreAdapter

/**
 * Time：2025/1/6 15:21:42
 * Author：wangjunwei
 * Description：goulib 通用选项（勾库所在行业，至少有一个选中）
 *
 */
class GoLibIndustryDefaultHolder(itemView: View, val plusFilterMoreAdapter: BaseFilterMoreAdapter) : BaseViewHolder<DefaultSearchFilterOptionData>(itemView) {

    var tvLabel: TextView

    init {
        tvLabel = itemView as TextView
    }

    override fun onBindViewHolder(
        view: View,
        filterOptionData: DefaultSearchFilterOptionData,
        position: Int,
        onItemClick: OnItemClick<DefaultSearchFilterOptionData>?
    ) {
        tvLabel.isSelected = filterOptionData.isSelected
        tvLabel.text = filterOptionData.content
        tvLabel.setOnClickListener { v: View ->

            //1 如果选择的是自身，则看同一类型的其它是否还有选中的，如果有则取消筛选；如果没有则什么也不干，至少保证至少有一个被选中
            if (filterOptionData.isSelected){
                //1.1 看同一类型的其它是否还有选中的，如果没有则直接返回
                if (!plusFilterMoreAdapter.isSimilarTypeOtherHasSelected(filterOptionData.type, filterOptionData.content)){
                    return@setOnClickListener
                }

                filterOptionData.content
                filterOptionData.isSelected = !filterOptionData.isSelected
                tvLabel.isSelected = filterOptionData.isSelected
                plusFilterMoreAdapter.notifyItemChanged(position)
                return@setOnClickListener
            }

            //2 判断是否单选，如果是先重置其它选项（多选自定义也重置其它选项）
            if (!filterOptionData.isSupportMultiple){
                plusFilterMoreAdapter.resetGoalType(filterOptionData.type)
            }else{
                //3 如果是多选，选中不限也要先重置其它选项
                if (TextUtils.equals(tvLabel.text, "不限")){
                    plusFilterMoreAdapter.resetGoalType(filterOptionData.type)
                }else {
                    //3 选中不是不限选项，需要把不限取消掉
                    plusFilterMoreAdapter.resetGoalTypeNoLimit(filterOptionData.type)
                }
            }

            //3 选中标签样式变化
            filterOptionData.isSelected = !filterOptionData.isSelected
            tvLabel.isSelected = filterOptionData.isSelected
            plusFilterMoreAdapter.notifyItemChanged(position)
        }
    }

    override fun getTitle(): String {
       return "勾库模块选项"
    }
}