package com.lagou.lagouee.ui.dialog.position

import android.os.Bundle
import com.alpha.lagouapk.R
import com.lagou.commonlibs.ui.dialog.BaseDialogFragment
import com.lagou.lagouee.bean.position.CommonUpgradeSpecialRes
import kotlinx.android.synthetic.main.activity_comment_add.tv1
import kotlinx.android.synthetic.main.dialog_common_upgrade_special.tv_content
import kotlinx.android.synthetic.main.dialog_common_upgrade_special.tv_know
import kotlinx.android.synthetic.main.dialog_common_upgrade_special.tv_title

/**
 * Time：2024/7/9 11:14:52
 * Author：wangjunwei
 * Description：如果历史发布的普通职位升级为了特权职位，进入【职位管理】页出现弹窗提醒，如右侧所示
 *
 */
class CommonUpgradeSpecialDialog : BaseDialogFragment() {

    private var commonUpgradeSpecialRes: CommonUpgradeSpecialRes? = null

    companion object {
        const val KEY_UPGRADE_SPECIAL = "key_upgrade_special"

        @JvmStatic
        fun getInstance(commonUpgradeSpecialRes: CommonUpgradeSpecialRes): CommonUpgradeSpecialDialog {
            val bundle = Bundle()
            bundle.putParcelable(KEY_UPGRADE_SPECIAL, commonUpgradeSpecialRes)

            val commonUpgradeSpecialDialog = CommonUpgradeSpecialDialog()
            commonUpgradeSpecialDialog.arguments = bundle

            return commonUpgradeSpecialDialog
        }
    }

    override fun getLayoutId(): Int {
        return R.layout.dialog_common_upgrade_special
    }

    override fun initListener() {
        super.initListener()
        tv_know.setOnClickListener {
            dismiss()
        }
    }

    override fun fillUI() {
        super.fillUI()
        commonUpgradeSpecialRes = arguments?.getParcelable<CommonUpgradeSpecialRes>(KEY_UPGRADE_SPECIAL)
        if (commonUpgradeSpecialRes == null) {
            return
        }

        tv_title.text = commonUpgradeSpecialRes?.title
        tv_content.text = commonUpgradeSpecialRes?.content
    }


    override fun getWidth(): Int {
        return (0.85 * screenWidth).toInt()
    }

}